{"model_name":"BAAI/bge-m3-multi","type":"embeddings","tags":["openai","priority"],"reported_type":"embeddings","version":"5617a9f61b028005a4858fdac845db406aefb181","description":"BGE-M3 is a multilingual text embedding model developed by BAAI, distinguished by its Multi-Linguality (supporting 100+ languages), Multi-Functionality (unified dense, multi-vector, and sparse retrieval), and Multi-Granularity (handling inputs from short queries to long documents). It achieves state-of-the-art retrieval performance across diverse benchmarks while maintaining a single model for multiple retrieval modes. Inputs to this endpoint are truncated to 512 tokens.","mf_description":"BGE-M3 is a multilingual text embedding model developed by BAAI, distinguished by its Multi-Linguality (supporting 100+ languages), Multi-Functionality (unified dense, multi-vector, and sparse retrieval), and Multi-Granularity (handling inputs from short queries to long documents). It achieves state-of-the-art retrieval performance across diverse benchmarks while maintaining a single model for multiple retrieval modes. Inputs to this endpoint are truncated to 512 tokens.","featured":false,"owner":false,"public":true,"curl_inv":"curl -X POST \\\n    -d '{\"inputs\": [\"I like chocolate\"]}'  \\\n    -H \"Authorization: bearer $DEEPINFRA_API_KEY\"  \\\n    -H 'Content-Type: application/json'  \\\n    'https://api.deepinfra.com/v1/inference/BAAI/bge-m3-multi'","cmdline_inv":"","txt_docs":"parameters:\n  inputs    : array. sequences to embed\n  dense     : (Default: True) boolean. Dense is a set of low-dimensional vectors where every token in the input is represented by a fully populated embedding derived from a neural model.\n  sparse    : (Default: False) boolean. Sparse is a collection of high-dimensional vectors where each word in the input is assigned a lexical weight, with most values being zero.\n  colbert   : (Default: False) boolean. Colbert is a system of contextualized vectors where every token in the input is represented by its own BERT-derived embedding.\n  normalize : (Default: False) boolean. whether to normalize the computed embeddings\n  webhook   : string. The webhook to call when inference is done, by default you will get the output in the response of your inference request\n\nsend the parameters as EITHER:\n- JSON object (one key: value per parameter, binary as base64 or Data URL)\n- HTTP multipart (one part per parameter).\n","out_example":"{\n  \"input_tokens\": 42,\n  \"embeddings\": [\n    [\n      0.0,\n      0.5,\n      1.0\n    ],\n    [\n      1.0,\n      0.5,\n      0.0\n    ]\n  ],\n  \"sparse\": [\n    [\n      0.0,\n      0.0,\n      1.0\n    ],\n    [\n      0.0,\n      0.6,\n      0.0\n    ]\n  ],\n  \"colbert\": [\n    [\n      [\n        0.5,\n        0.1,\n        1.0\n      ],\n      [\n        0.3,\n        0.6,\n        0.5\n      ]\n    ],\n    [\n      [\n        0.3,\n        0.6,\n        0.5\n      ]\n    ]\n  ],\n  \"embedding_jsons\": [\n    \"[0.0, 0.5, 1.0]\",\n    \"[1.0, 0.5, 0.0]\"\n  ],\n  \"request_id\": null,\n  \"inference_status\": {\n    \"status\": \"unknown\",\n    \"runtime_ms\": 0,\n    \"cost\": 0.0,\n    \"tokens_generated\": 0,\n    \"tokens_input\": 0,\n    \"output_length\": 0\n  }\n}\n","out_docs":"input_tokens: integer. The number of input tokens in the request\nembeddings: array[array]. the computed dense embeddings for each input sequence\nsparse: array[array]. lexical weights computed embeddings for each input sequencein sparse format\ncolbert: array[array]. ColBert vectors for each token in each input sequence\nembedding_jsons: array[string]. json representation of embeddings\nrequest_id: string. The request id\ninference_status: object. Object containing the status of the inference request\n","in_schema":{"required":["inputs"],"title":"MultiModalEmbeddingsIn","type":"object","properties":{"inputs":{"description":"sequences to embed","items":{"type":"string"},"maxItems":1024,"soft_required":true,"title":"Inputs","type":"array","example":["I like chocolate"]},"dense":{"default":true,"description":"Dense is a set of low-dimensional vectors where every token in the input is represented by a fully populated embedding derived from a neural model.","title":"Dense","type":"boolean"},"sparse":{"default":false,"description":"Sparse is a collection of high-dimensional vectors where each word in the input is assigned a lexical weight, with most values being zero.","title":"Sparse","type":"boolean"},"colbert":{"default":false,"description":"Colbert is a system of contextualized vectors where every token in the input is represented by its own BERT-derived embedding.","title":"Colbert","type":"boolean"},"normalize":{"default":false,"description":"whether to normalize the computed embeddings","title":"Normalize","type":"boolean","example":true},"webhook":{"description":"The webhook to call when inference is done, by default you will get the output in the response of your inference request","format":"uri","is_base_field":true,"maxLength":2083,"minLength":1,"title":"Webhook","type":"string"}}},"out_schema":{"definitions":{"InferenceReplyStatus":{"properties":{"status":{"choices":["unknown","queued","running","succeeded","failed"],"default":"succeeded","description":"Inference status","title":"Status","type":"string"},"runtime_ms":{"default":0,"description":"runtime in milliseconds","title":"Runtime Ms","type":"integer"},"cost":{"description":"estimated cost billed for the request in USD","title":"Cost","type":"number"},"tokens_generated":{"description":"number of tokens generated","title":"Tokens Generated","type":"integer"},"tokens_input":{"description":"number of input tokens","title":"Tokens Input","type":"integer"},"output_length":{"description":"length of the output in seconds","title":"Output Length","type":"integer"}},"required":["cost"],"title":"InferenceReplyStatus","type":"object"}},"exclude":["embedding_jsons"],"required":["input_tokens","embeddings","sparse","colbert"],"title":"MultiModalEmbeddingsOut","type":"object","properties":{"input_tokens":{"description":"The number of input tokens in the request","title":"Input Tokens","type":"integer","example":42},"embeddings":{"description":"the computed dense embeddings for each input sequence","items":{"items":{"type":"number"},"type":"array"},"title":"Embeddings","type":"array","example":[[0,0.5,1],[1,0.5,0]]},"sparse":{"description":"lexical weights computed embeddings for each input sequencein sparse format","items":{"items":{"type":"number"},"type":"array"},"title":"Sparse","type":"array","example":[[0,0,1],[0,0.6,0]]},"colbert":{"description":"ColBert vectors for each token in each input sequence","items":{"items":{"items":{"type":"number"},"type":"array"},"type":"array"},"title":"Colbert","type":"array","example":[[[0.5,0.1,1],[0.3,0.6,0.5]],[[0.3,0.6,0.5]]]},"embedding_jsons":{"description":"json representation of embeddings","items":{"type":"string"},"title":"Embedding Jsons","type":"array","example":["[0.0, 0.5, 1.0]","[1.0, 0.5, 0.0]"]},"request_id":{"description":"The request id","is_base_field":true,"title":"Request Id","type":"string"},"inference_status":{"$ref":"#/definitions/InferenceReplyStatus","description":"Object containing the status of the inference request","is_base_field":true,"type":"object","title":"InferenceReplyStatus"}}},"in_fields":[{"name":"inputs","parent":null,"ftype":"array","description":"sequences to embed","allowed":null,"default":null,"examples":[["I like chocolate"]],"minimum":null,"exclusiveMinimum":null,"maximum":null,"exclusiveMaximum":null},{"name":"dense","parent":null,"ftype":"boolean","description":"Dense is a set of low-dimensional vectors where every token in the input is represented by a fully populated embedding derived from a neural model.","allowed":null,"default":true,"examples":[],"minimum":null,"exclusiveMinimum":null,"maximum":null,"exclusiveMaximum":null},{"name":"sparse","parent":null,"ftype":"boolean","description":"Sparse is a collection of high-dimensional vectors where each word in the input is assigned a lexical weight, with most values being zero.","allowed":null,"default":false,"examples":[],"minimum":null,"exclusiveMinimum":null,"maximum":null,"exclusiveMaximum":null},{"name":"colbert","parent":null,"ftype":"boolean","description":"Colbert is a system of contextualized vectors where every token in the input is represented by its own BERT-derived embedding.","allowed":null,"default":false,"examples":[],"minimum":null,"exclusiveMinimum":null,"maximum":null,"exclusiveMaximum":null},{"name":"normalize","parent":null,"ftype":"boolean","description":"whether to normalize the computed embeddings","allowed":null,"default":false,"examples":[true],"minimum":null,"exclusiveMinimum":null,"maximum":null,"exclusiveMaximum":null},{"name":"webhook","parent":null,"ftype":"file","description":"The webhook to call when inference is done, by default you will get the output in the response of your inference request","allowed":null,"default":null,"examples":[],"minimum":null,"exclusiveMinimum":null,"maximum":null,"exclusiveMaximum":null}],"pricing":{"discount":null,"discount_ends_at":null,"short":null,"full":null,"table":null,"type":"input_tokens","cents_per_input_token":1e-06,"cents_per_image_token":null},"doc_blocks":[{"key":"openai-emb-http","url":"/models/BAAI/bge-m3-multi/docs/openai-emb-http.md"},{"key":"openai-emb-py","url":"/models/BAAI/bge-m3-multi/docs/openai-emb-py.md"},{"key":"openai-emb-js","url":"/models/BAAI/bge-m3-multi/docs/openai-emb-js.md"},{"key":"http","url":"/models/BAAI/bge-m3-multi/docs/http.md"},{"key":"js-emb","url":"/models/BAAI/bge-m3-multi/docs/js-emb.md"},{"key":"http-bge-m3-multimodal","url":"/models/BAAI/bge-m3-multi/docs/http-bge-m3-multimodal.md"}],"short_doc_block":null,"schemas":[{"key":"openai-embeddings","url":"/models/BAAI/bge-m3-multi/schema/openai-embeddings"},{"key":"default","url":"/models/BAAI/bge-m3-multi/schema/default"}],"meta":{"github_url":"https://github.com/FlagOpen/FlagEmbedding","paper_url":"https://arxiv.org/abs/2402.03216","license_url":"https://github.com/FlagOpen/FlagEmbedding/blob/master/LICENSE","readme":"https://shared.deepinfra.com/models/BAAI/bge-m3-multi/readme.8ef2fe28fd643a5b94df25883241cda4facd968a019bf79134bfd0aa85b408f2.md"},"max_tokens":512,"max_output_tokens":null,"replaced_by":null,"deprecated":null,"quantization":null,"mmlu":null,"expected":null,"import_time":"2025-02-28T15:42:02.787298+00:00","is_partner":false,"is_custom_deployable":false,"mf_name":null,"mf_title":null}